EntityManager
Date: 2016-06-24

javax.persistence

## Interface EntityManager

-     public interface EntityManager

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `void` | `close()`
    `boolean` | `contains(java.lang.Object entity)`
    `Query` | `createNamedQuery(java.lang.String name)`
    `<T> TypedQuery<T>` | `createNamedQuery(java.lang.String name, java.lang.Class<T> resultClass)`
    `Query` | `createNativeQuery(java.lang.String sqlString)`
    `Query` | `createNativeQuery(java.lang.String sqlString, java.lang.Class resultClass)`
    `Query` | `createNativeQuery(java.lang.String sqlString, java.lang.String resultSetMapping)`
    `<T> TypedQuery<T>` | `createQuery(CriteriaQuery<T> criteriaQuery)`
    `Query` | `createQuery(java.lang.String qlString)`
    `<T> TypedQuery<T>` | `createQuery(java.lang.String qlString, java.lang.Class<T> resultClass)`
    `void` | `detach(java.lang.Object entity)`
    `<T> T` | `find(java.lang.Class<T> entityClass, java.lang.Object primaryKey)`
    `<T> T` | `find(java.lang.Class<T> entityClass, java.lang.Object primaryKey, LockModeType lockMode)`
    `<T> T` | `find(java.lang.Class<T> entityClass, java.lang.Object primaryKey, LockModeType lockMode, java.util.Map<java.lang.String,java.lang.Object> properties)`
    `<T> T` | `find(java.lang.Class<T> entityClass, java.lang.Object primaryKey, java.util.Map<java.lang.String,java.lang.Object> properties)`
    `void` | `flush()`
    `CriteriaBuilder` | `getCriteriaBuilder()`
    `java.lang.Object` | `getDelegate()`
    `EntityManagerFactory` | `getEntityManagerFactory()`
    `FlushModeType` | `getFlushMode()`
    `LockModeType` | `getLockMode(java.lang.Object entity)`
    `Metamodel` | `getMetamodel()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getProperties()`
    `<T> T` | `getReference(java.lang.Class<T> entityClass, java.lang.Object primaryKey)`
    `EntityTransaction` | `getTransaction()`
    `boolean` | `isOpen()`
    `void` | `joinTransaction()`
    `void` | `lock(java.lang.Object entity, LockModeType lockMode)`
    `void` | `lock(java.lang.Object entity, LockModeType lockMode, java.util.Map<java.lang.String,java.lang.Object> properties)`
    `<T> T` | `merge(T entity)`
    `void` | `persist(java.lang.Object entity)`
    `void` | `refresh(java.lang.Object entity)`
    `void` | `refresh(java.lang.Object entity, LockModeType lockMode)`
    `void` | `refresh(java.lang.Object entity, LockModeType lockMode, java.util.Map<java.lang.String,java.lang.Object> properties)`
    `void` | `refresh(java.lang.Object entity, java.util.Map<java.lang.String,java.lang.Object> properties)`
    `void` | `remove(java.lang.Object entity)`
    `void` | `setFlushMode(FlushModeType flushMode)`
    `void` | `setProperty(java.lang.String propertyName, java.lang.Object value)`
    `<T> T` | `unwrap(java.lang.Class<T> cls)`

- - ### Method Detail

    - #### persist

          void persist(java.lang.Object entity)

    - #### merge

          <T> T merge(T entity)

    - #### remove

          void remove(java.lang.Object entity)

    - #### find

          <T> T find(java.lang.Class<T> entityClass,
                   java.lang.Object primaryKey)

    - #### find

          <T> T find(java.lang.Class<T> entityClass,
                   java.lang.Object primaryKey,
                   java.util.Map<java.lang.String,java.lang.Object> properties)

    - #### find

          <T> T find(java.lang.Class<T> entityClass,
                   java.lang.Object primaryKey,
                   LockModeType lockMode)

    - #### find

          <T> T find(java.lang.Class<T> entityClass,
                   java.lang.Object primaryKey,
                   LockModeType lockMode,
                   java.util.Map<java.lang.String,java.lang.Object> properties)

    - #### getReference

          <T> T getReference(java.lang.Class<T> entityClass,
                           java.lang.Object primaryKey)

    - #### flush

          void flush()

    - #### setFlushMode

          void setFlushMode(FlushModeType flushMode)

    - #### getFlushMode

          FlushModeType getFlushMode()

    - #### lock

          void lock(java.lang.Object entity,
                  LockModeType lockMode)

    - #### lock

          void lock(java.lang.Object entity,
                  LockModeType lockMode,
                  java.util.Map<java.lang.String,java.lang.Object> properties)

    - #### refresh

          void refresh(java.lang.Object entity)

    - #### refresh

          void refresh(java.lang.Object entity,
                     java.util.Map<java.lang.String,java.lang.Object> properties)

    - #### refresh

          void refresh(java.lang.Object entity,
                     LockModeType lockMode)

    - #### refresh

          void refresh(java.lang.Object entity,
                     LockModeType lockMode,
                     java.util.Map<java.lang.String,java.lang.Object> properties)

    - #### clear

          void clear()

    - #### detach

          void detach(java.lang.Object entity)

    - #### contains

          boolean contains(java.lang.Object entity)

    - #### getLockMode

          LockModeType getLockMode(java.lang.Object entity)

    - #### setProperty

          void setProperty(java.lang.String propertyName,
                         java.lang.Object value)

    - #### getProperties

          java.util.Map<java.lang.String,java.lang.Object> getProperties()

    - #### createQuery

          Query createQuery(java.lang.String qlString)

    - #### createQuery

          <T> TypedQuery<T> createQuery(CriteriaQuery<T> criteriaQuery)

    - #### createQuery

          <T> TypedQuery<T> createQuery(java.lang.String qlString,
                                      java.lang.Class<T> resultClass)

    - #### createNamedQuery

          Query createNamedQuery(java.lang.String name)

    - #### createNamedQuery

          <T> TypedQuery<T> createNamedQuery(java.lang.String name,
                                           java.lang.Class<T> resultClass)

    - #### createNativeQuery

          Query createNativeQuery(java.lang.String sqlString)

    - #### createNativeQuery

          Query createNativeQuery(java.lang.String sqlString,
                                java.lang.Class resultClass)

    - #### createNativeQuery

          Query createNativeQuery(java.lang.String sqlString,
                                java.lang.String resultSetMapping)

    - #### joinTransaction

          void joinTransaction()

    - #### unwrap

          <T> T unwrap(java.lang.Class<T> cls)

    - #### getDelegate

          java.lang.Object getDelegate()

    - #### close

          void close()

    - #### isOpen

          boolean isOpen()

    - #### getTransaction

          EntityTransaction getTransaction()

    - #### getEntityManagerFactory

          EntityManagerFactory getEntityManagerFactory()

    - #### getCriteriaBuilder

          CriteriaBuilder getCriteriaBuilder()

    - #### getMetamodel

          Metamodel getMetamodel()